function newval = getnval(maxval,minval,curval)
%	GETNVAL Gets the new value for a parameter
%		GETNVAL displays an edit box for the user to type a 
%		newvalue into. If the user leaves it blank, the current 
%		value is retained. The first two parameters determine
%		the maximum value and the minimum value that the user
%		can type in.

% Copyright (c) 1999 Satrajit S. Ghosh (satra@bu.edu)
% Department of Cognitive and Neural Systems, Boston University

% $Revision: 1.00$ $Date:Fri Oct  1 17:02:05 EDT 1999$

% Bug fixes

% Modifications

obj = getmenuobj;

% Position the window just below the existing menu. 
pos = get(obj,'position');
h0 = figure(...
   'units','normalized',...
   'menubar','none',...
   'Tag','menunval',...
   'numbertitle','off',...
   'Resize','off',...
   'Windowstyle','modal',...	    
   'position',[pos(1)-0.1 pos(2)-0.05 pos(3)+0.1 0.04]);

h1 = uicontrol(h0,...
   'units','normalized',...
   'position',[0.05 0.1 0.3 0.9],...
   'string','New value = ',...
   'style','text',...
   'Tag','newvaltext');
h1 = uicontrol(h0,...
   'units','normalized',...
   'position',[0.35 0.1 0.3 0.9],...
   'style','edit',...
   'HorizontalAlignment','left',...
   'Tag','newvaledit');
str = sprintf('uiresume(%f)',h0);
h2 = uicontrol(h0,...
   'units','normalized',...
   'position',[0.7 0.1 0.25 0.9],...
   'string','Done',...
   'callback',str,...
   'Busyaction','cancel',...
   'Tag','newvaledit');

uiwait(h0);
newval = get(h1,'string');
newval = str2num(newval);
if (isempty(newval)),
   newval = curval;
end;

if (newval>maxval),
   newval = maxval;
elseif(newval<minval),
   newval = minval;
end;

close(h0)
