function vtcalcs
% VTCALCS Run the vtcalcs program
%   vtcalcs creates the graphical interface for the analysis of
%   vocal tract transfer functions. Five different models are
%   used in the program. For further information, please see the
%   README.txt file.

% Copyright (c) 1999 Satrajit S. Ghosh (satra@bu.edu)
% Department of Cognitive and Neural Systems, Boston University

% $Revision: 1.00$ $Date:Fri Oct  1 17:02:05 EDT 1999$

% Bug fixes

% Modifications


% load simulation parameters declared in vtsimul.m
vtsimul

% Main figure
h0 = figure(...
   'units','normalized',...
	'Position',[0.01 0.1 0.7 0.8], ...
   'Tag','Vtcalcs',...
   'Numbertitle','off',...
   'Doublebuffer','on',...
   'Name','VTCALCS',...
   'UserData',data);

%% Uncomment the following line and add it to the above figure definition 
%% to create a modal window
%%   'Windowstyle','modal',...

h1 = uimenu('Parent',h0, ...
	'Label','&VT calculation', ...
   'Tag','uimenu1');
h2 = uimenu('Parent',h1, ...
	'Label','&Uniform tube', ...
   'Tag','VT calculationUniform tube1',...
   'Callback','utmodel');
h2 = uimenu('Parent',h1, ...
	'Label','From file', ...
	'Tag','VT calculationFrom file1', ...
        'Enable','off');
h2 = uimenu('Parent',h1, ...
	'Label','&2 tube model', ...
	'Tag','VT calculation2 tube model1',...
   'Callback','t2model');
h2 = uimenu('Parent',h1, ...
	'Label','&3 parameter model', ...
   'Tag','VT calculation3 parameter model1',...
   'Callback','p3model');
h2 = uimenu('Parent',h1, ...
	'Label','&Articulatory model', ...
   'Tag','VT calculationArticulatory model1',...
   'Callback','ARmodel');
h2 = uimenu('Parent',h1, ...
	'Label','Area &functions model', ...
   'Tag','VT calculationArea functions model1',...
   'Callback','as2fmodel');

h1 = uimenu('Parent',h0, ...
	'Label',' Tract &Configuration', ...
   'Tag','config',...
   'Callback','changetc');

h1 = uimenu('Parent',h0, ...
	'Label','&Physical constants', ...
   'Tag','Physical constants1',...
   'Callback','changepc');

h1 = uimenu('Parent',h0, ...
	'Label','Save options', ...
   'Tag','Save options1',...
   'Enable','off');

h1 = axes('Parent',h0, ...
	'Units','normalized', ...
	'Position',[0.09 0.6 0.40 0.35], ...
   'Tag','AreaFn');

h1 = axes('Parent',h0, ...
	'Units','normalized', ...
	'Position',[0.09 0.1 0.4 0.35], ...
   'Tag','Spectrum',...
   'Climmode','auto');

h1 = axes('Parent',h0, ...
	'Units','normalized', ...
	'Position',[0.55 0.05 0.3 0.4], ...
   'Tag','Formant',...
   'XTick',[],...
   'YTick',[],...
   'ZTick',[],...
   'Climmode','auto');

h1 = axes('Parent',h0, ...
	'Units','normalized', ...
	'Position',[0.55 0.55 0.35 0.4], ...
   'Tag','AM',...
   'XTick',[],...
   'YTick',[],...
   'ZTick',[],...
   'Visible','off');


